Package com.sas.lsaf.query

## Class Column

- java.lang.Object
- - com.sas.lsaf.query.Column

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Column
      extends java.lang.Object
      implements java.io.Serializable

  This class represents a method to specify the column information to query.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Column.Type` | The type of column to query.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Column​(java.lang.String queryClass, java.lang.String name, Column.Type type)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Gets the name of the column.
    `java.lang.String` | `getQueryClass()` | Gets the name of the query class.
    `Column.Type` | `getType()` | Gets the type of the column.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Column

          public Column​(java.lang.String queryClass,
                        java.lang.String name,
                        Column.Type type)

      The constructor.
      Parameters:
        `queryClass` - The name of the query class.
        `name` - The name of the column.
        `type` - The type of the column.

  - ### Method Detail

    - #### getQueryClass

          public java.lang.String getQueryClass()

      Gets the name of the query class.
      Returns:
        The name of the query class.

    - #### getName

          public java.lang.String getName()

      Gets the name of the column.
      Returns:
        The name of the column.

    - #### getType

          public Column.Type getType()

      Gets the type of the column.
      Returns:
        The type of the column.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`